Skip to content
Справочник APIConsumerAccess

Report access relay health

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/v1/access/relays/{id}/health/

Path Parameters

id*string

Access relay node id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/access/relays/497f6eca-6276-4993-bfeb-53cbbbba6f08/health/" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "health": {      "build_hash": "string",      "bytes_in": 0,      "bytes_out": 0,      "connection_failures": [        {          "failures": 0,          "upstream_host": "string"        }      ],      "current_connections": 0,      "rate_limit_drops": 0,      "upstream_connect_latency_ms_p50": 0.1,      "upstream_connect_latency_ms_p95": 0.1,      "version": "string"    },    "hostname": "string",    "port": 0,    "protocols": [      "shadowsocks"    ],    "public_ips": [      "string"    ],    "region_id": "string",    "weight": 0  }'
{  "ok": true,  "received_at": "2019-08-24T14:15:22Z",  "relay_id": "71e1fc69-4e08-44af-ab0e-818838201cac"}